Docs Dreamina /jimeng/fetch/{task_id}
API reference

Query tasks

TaskStatus: "NOT_START" "SUBMITTED" "QUEUED" "IN_PROGRESS" "FAILURE" "SUCCESS"

GET/jimeng/fetch/{task_id}

Responses

200 application/json
response-200 object
properties
code* string

Status code; "success" means the query succeeded

data* object

Data payload (often Base64 or a structured object)

message* string

Message text

401 Missing or invalid API Key application/json
response-401 object
properties
error* object
Code Sample cURL
1curl -X GET "https://api.digislash.com/jimeng/fetch/{task_id}" \
2-H "Authorization: Bearer <API Key>"
Response
1▼{
2"code": "success",
3▼"data": {
4"action": "jimeng-videos",
5▶"data": { 3 keys },
6"fail_reason": "",
7"finish_time": 1756457496,
8"progress": "100%",
9"start_time": 0,
10"status": "SUCCESS",
11"submit_time": 1756457484,
12"task_id": "cgt-20250829165122-qkwch"
13},
14"message": ""
15}